<?xml version="1.0" encoding="UTF-8"?>
<mappings xmlns="http://dozer.sourceforge.net"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://dozer.sourceforge.net http://dozer.sourceforge.net/schema/beanmapping.xsd">

	<mapping type="bi-directional" wildcard="false">
		<class-a>com.zebrunner.reporting.domain.dto.TestRunType</class-a>
		<class-b>com.zebrunner.reporting.domain.db.TestRun</class-b>

		<field>
			<a>id</a>
			<b>id</b>
		</field>
		<field>
			<a>ciRunId</a>
			<b>ciRunId</b>
		</field>
		<field>
			<a>status</a>
			<b>status</b>
		</field>
		<field>
			<a>testSuiteId</a>
			<b>testSuite.id</b>
		</field>
		<field>
			<a>jobId</a>
			<b>job.id</b>
		</field>
		<field>
			<a>upstreamJobId</a>
			<b>upstreamJob.id</b>
		</field>
		<field>
			<a>upstreamJobBuildNumber</a>
			<b>upstreamJobBuildNumber</b>
		</field>
		<field>
			<a>buildNumber</a>
			<b>buildNumber</b>
		</field>
		<field>
			<a>startedBy</a>
			<b>startedBy</b>
		</field>
		<field>
			<a>userId</a>
			<b>user.id</b>
		</field>
		<field>
			<a>knownIssue</a>
			<b>knownIssue</b>
		</field>
		<field>
			<a>reviewed</a>
			<b>reviewed</b>
		</field>
		<field>
			<a>labels</a>
			<b>labels</b>
		</field>
		<field>
			<a>artifacts</a>
			<b>artifactReferences</b>
		</field>
	</mapping>
</mappings>
